summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2012-01-02 14:09:33 -0600
committerJesse Luehrs <doy@tozt.net>2012-01-02 14:24:00 -0600
commitb443e4e43f4f04cf86344baa51a86c05c27ca0b0 (patch)
tree3cf707c4619d39fb2ae89a3706e44284b8216208 /bin
parentdb65d1ec07936f956e9caf18f838b5a696587551 (diff)
downloadconf-b443e4e43f4f04cf86344baa51a86c05c27ca0b0.tar.gz
conf-b443e4e43f4f04cf86344baa51a86c05c27ca0b0.zip
script for building/testing perl
Diffstat (limited to 'bin')
-rwxr-xr-xbin/p37
1 files changed, 37 insertions, 0 deletions
diff --git a/bin/p b/bin/p
new file mode 100755
index 0000000..0330503
--- /dev/null
+++ b/bin/p
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+_configure () {
+ ./Configure -des -Dusedevel -DDEBUGGING -Dusethreads -Uversiononly -Accflags="-Wall -Wextra" -Doptimize="-g -O0 -ggdb3"
+}
+
+_make () {
+ make -j9
+}
+
+_test () {
+ export TEST_JOBS=9
+ if [ -n "$*" ]; then
+ make test_harness TEST_FILES="$*"
+ else
+ make test_harness
+ fi
+}
+
+cmd=$1
+shift
+
+case $cmd in
+ configure)
+ _configure $@
+ ;;
+ make)
+ _make $@
+ ;;
+ test)
+ _test $@
+ ;;
+ *)
+ echo "Usage: p <command> [args...]" 1>&2
+ exit 1
+ ;;
+esac